%global srcname winrm
%global __python3 /usr/bin/python3.8

Name:           python38-%{srcname}-epel
Version:        0.4.1
Release:        1%{?dist}
Summary:        Python libraries for interacting with windows remote management

License:        MIT
URL:            https://pypi.python.org/pypi/pywinrm
Source0:        https://github.com/diyan/pywinrm/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Use unittest.mock
Patch0:         python38-winrm-epel-mock.patch
BuildArch:      noarch

BuildRequires:  python38-devel
BuildRequires:  python38-rpm-macros
BuildRequires:  python3.8dist(setuptools)
BuildRequires:  python3.8dist(pytest)
BuildRequires:  python3.8dist(xmltodict)
BuildRequires:  python3.8dist(requests) >= 2.9.1
BuildRequires:  python3.8dist(requests-ntlm) >= 0.3
BuildRequires:  python3.8dist(six)

%global _description %{expand:
This has the python libraries for interacting with Windows Remote Management.}

%description %{_description}

%package -n python38-%{srcname}
Summary:        %{summary}

%description -n python38-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n pywinrm-%{version}

%build
%py3_build

%install
%py3_install

%check
%python3 -m pytest -vv winrm/tests

%files -n python38-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/pywinrm-*.egg-info/
%{python3_sitelib}/winrm/

%changelog
* Wed Jun 29 2022 Orion Poplawski <orion@nwra.com> - 0.4.1-1
- Build for EPEL8 Python 3.8
